defmodule DecentralisedBookIndex.SyncTasks.SyncAuthorsTaskTest do
  use DecentralisedBookIndex.DataCase

  alias DecentralisedBookIndex.SyncTasks.SyncAuthorsTask
  alias DecentralisedBookIndex.Metadata

  alias DecentralisedBookIndex.TestEndpoints
  @test_server_endpoint TestEndpoints.test_api_endpoint()

  describe "sync authors tasks" do
    test "sync authors" do
      server = generate(dbi_server(url: @test_server_endpoint))

      {:ok, author} = Metadata.create_author("Author", "An description")
      {:ok, author} = Metadata.create_author("Author2", "An description")

      assert server = SyncAuthorsTask.sync(server)
    end
  end
end
